Colorselector

Enumerations | Functions
Colorselector

## Enumerations
enum | Elm_Colorselector_Mode { , ELM_COLORSELECTOR_COMPONENTS, ELM_COLORSELECTOR_BOTH, ELM_COLORSELECTOR_PICKER, ELM_COLORSELECTOR_ALL , ELM_COLORSELECTOR_COMPONENTS, ELM_COLORSELECTOR_BOTH, ELM_COLORSELECTOR_PICKER, ELM_COLORSELECTOR_ALL }
| Different modes supported by Colorselector. More...
enum | Elm_Colorselector_Mode { , ELM_COLORSELECTOR_COMPONENTS, ELM_COLORSELECTOR_BOTH, ELM_COLORSELECTOR_PICKER, ELM_COLORSELECTOR_ALL , ELM_COLORSELECTOR_COMPONENTS, ELM_COLORSELECTOR_BOTH, ELM_COLORSELECTOR_PICKER, ELM_COLORSELECTOR_ALL }
| Different modes supported by Colorselector. More...

## Functions
EOAPI void | elm_obj_colorselector_color_set (int r, int g, int b, int a)
| Set color to colorselector. More...
EOAPI void | elm_obj_colorselector_color_get (int *r, int *g, int *b, int *a)
| Get current color from colorselector. More...
EOAPI void | elm_obj_colorselector_palette_name_set (const char *palette_name)
| Set current palette's name. More...
EOAPI const char * | elm_obj_colorselector_palette_name_get (void)
| Get current palette's name. More...
EOAPI void | elm_obj_colorselector_mode_set (Elm_Colorselector_Mode mode)
| Set Colorselector's mode. More...
EOAPI Elm_Colorselector_Mode | elm_obj_colorselector_mode_get (void)
| Get Colorselector's mode. More...
EOAPI const Eina_List * | elm_obj_colorselector_palette_items_get (void)
| Get list of palette items. More...
EOAPI Elm_Widget_Item * | elm_obj_colorselector_palette_selected_item_get (void)
| Get the selected item in colorselector palette. More...
EOAPI Elm_Widget_Item * | elm_obj_colorselector_palette_color_add (int r, int g, int b, int a)
| Add a new color item to palette. More...
EOAPI void | elm_obj_colorselector_palette_clear (void)
| Clear the palette items.
void | elm_colorselector_color_set (Elm_Colorselector *obj, int r, int g, int b, int a)
| Set color to colorselector. More...
void | elm_colorselector_color_get (const Elm_Colorselector *obj, int *r, int *g, int *b, int *a)
| Get current color from colorselector. More...
void | elm_colorselector_palette_name_set (Elm_Colorselector *obj, const char *palette_name)
| Set current palette's name. More...
const char * | elm_colorselector_palette_name_get (const Elm_Colorselector *obj)
| Get current palette's name. More...
void | elm_colorselector_mode_set (Elm_Colorselector *obj, Elm_Colorselector_Mode mode)
| Set Colorselector's mode. More...
Elm_Colorselector_Mode | elm_colorselector_mode_get (const Elm_Colorselector *obj)
| Get Colorselector's mode. More...
const Eina_List * | elm_colorselector_palette_items_get (const Elm_Colorselector *obj)
| Get list of palette items. More...
Elm_Widget_Item * | elm_colorselector_palette_selected_item_get (const Elm_Colorselector *obj)
| Get the selected item in colorselector palette. More...
Elm_Widget_Item * | elm_colorselector_palette_color_add (Elm_Colorselector *obj, int r, int g, int b, int a)
| Add a new color item to palette. More...
void | elm_colorselector_palette_clear (Elm_Colorselector *obj)
| Clear the palette items.
Evas_Object * | elm_colorselector_add (Evas_Object *parent)
| Add a new colorselector to the parent. More...

## Detailed Description

A ColorSelector is a color selection widget. It allows application to set a series of colors.It also allows to load/save colors from/to config with a unique identifier, by default, the colors are loaded/saved from/to config using "default" identifier. The colors can be picked by user from the color set by clicking on individual color item on the palette or by selecting it from selector.

This widget inherits from the Layout one, so that all the functions acting on it also work for check objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - When the color value changes on selector event_info is NULL.
- `"color,item,selected"` - When user clicks on color item. The event_info parameter of the callback will be the selected color item.
- `"color,item,longpressed"` - When user long presses on color item. The event info parameter of the callback contains selected color item.
- `"focused"` - When the colorselector has received focus. (since 1.8)
- `"unfocused"` - When the colorselector has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

See Color selector example.

## Enumeration Type Documentation

## ◆ Elm_Colorselector_Mode [1/2]

enum Elm_Colorselector_Mode

Different modes supported by Colorselector.

See also elm_colorselector_mode_set, elm_colorselector_mode_get.

Enumerator
ELM_COLORSELECTOR_COMPONENTS | Only color palette is displayed.
ELM_COLORSELECTOR_BOTH | Only color selector is displayed.
ELM_COLORSELECTOR_PICKER | Both Palette and selector is displayed, default.
ELM_COLORSELECTOR_ALL | Only color picker is displayed. All possible color selector is displayed.
ELM_COLORSELECTOR_COMPONENTS | Only color palette is displayed.
ELM_COLORSELECTOR_BOTH | Only color selector is displayed.
ELM_COLORSELECTOR_PICKER | Both Palette and selector is displayed, default.
ELM_COLORSELECTOR_ALL | Only color picker is displayed. All possible color selector is displayed.

## ◆ Elm_Colorselector_Mode [2/2]

enum Elm_Colorselector_Mode

Different modes supported by Colorselector.

See also elm_obj_colorselector_mode_set, elm_obj_colorselector_mode_get.

Enumerator
ELM_COLORSELECTOR_COMPONENTS | Only color palette is displayed.
ELM_COLORSELECTOR_BOTH | Only color selector is displayed.
ELM_COLORSELECTOR_PICKER | Both Palette and selector is displayed, default.
ELM_COLORSELECTOR_ALL | Only color picker is displayed. All possible color selector is displayed.
ELM_COLORSELECTOR_COMPONENTS | Only color palette is displayed.
ELM_COLORSELECTOR_BOTH | Only color selector is displayed.
ELM_COLORSELECTOR_PICKER | Both Palette and selector is displayed, default.
ELM_COLORSELECTOR_ALL | Only color picker is displayed. All possible color selector is displayed.

## Function Documentation

## ◆ elm_colorselector_add()

Evas_Object* elm_colorselector_add | ( | Evas_Object * | parent | ) |

Add a new colorselector to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

References elm_layout_content_unset().

## ◆ elm_colorselector_color_get()

void elm_colorselector_color_get | ( | const Elm_Colorselector * | obj,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Get current color from colorselector.

Parameters

  [out] | r | r-value of color
  [out] | g | g-value of color
  [out] | b | b-value of color
  [out] | a | a-value of color

References elm_obj_colorselector_color_get().

## ◆ elm_colorselector_color_set()

void elm_colorselector_color_set | ( | Elm_Colorselector * | obj,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Set color to colorselector.

Parameters

  [in] | r | r-value of color
  [in] | g | g-value of color
  [in] | b | b-value of color
  [in] | a | a-value of color

References elm_obj_colorselector_color_set().

## ◆ elm_colorselector_mode_get()

Elm_Colorselector_Mode elm_colorselector_mode_get | ( | const Elm_Colorselector * | obj | ) |

Get Colorselector's mode.

Returns
  Elm_Colorselector_Mode

References elm_obj_colorselector_mode_get().

## ◆ elm_colorselector_mode_set()

void elm_colorselector_mode_set | ( | Elm_Colorselector * | obj,
|  | Elm_Colorselector_Mode | mode
| ) |  |

Set Colorselector's mode.

Colorselector supports three modes palette only, selector only and both.

Parameters

  [in] | mode | Elm_Colorselector_Mode

References elm_obj_colorselector_mode_set().

## ◆ elm_colorselector_palette_color_add()

Elm_Widget_Item* elm_colorselector_palette_color_add | ( | Elm_Colorselector * | obj,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Add a new color item to palette.

Parameters

  [in] | g | g-value of color
  [in] | b | b-value of color
  [in] | a | a-value of color

Returns
  A new color palette Item.

References elm_obj_colorselector_palette_color_add().

## ◆ elm_colorselector_palette_items_get()

const Eina_List* elm_colorselector_palette_items_get | ( | const Elm_Colorselector * | obj | ) |

Get list of palette items.

Note That palette item list is internally managed by colorselector widget and it should not be freed/modified by application.

Returns
  The list of color palette items.

Since
  1.9

References elm_obj_colorselector_palette_items_get().

## ◆ elm_colorselector_palette_name_get()

const char* elm_colorselector_palette_name_get | ( | const Elm_Colorselector * | obj | ) |

Get current palette's name.

Returns the currently set palette name using which colors will be saved/loaded in to config.

Returns
  Name of palette

References elm_obj_colorselector_palette_name_get().

## ◆ elm_colorselector_palette_name_set()

void elm_colorselector_palette_name_set | ( | Elm_Colorselector * | obj,
|  | const char * | palette_name
| ) |  |

Set current palette's name.

When colorpalette name is set, colors will be loaded from and saved to config using the set name. If no name is set then colors will be loaded from or saved to "default" config.

Parameters

  [in] | palette_name | Name of palette

References elm_obj_colorselector_palette_name_set().

## ◆ elm_colorselector_palette_selected_item_get()

Elm_Widget_Item* elm_colorselector_palette_selected_item_get | ( | const Elm_Colorselector * | obj | ) |

Get the selected item in colorselector palette.

Returns
  The selected item, or `null` if none selected.

Since
  1.9

References elm_obj_colorselector_palette_selected_item_get().

## ◆ elm_obj_colorselector_color_get()

EOAPI void elm_obj_colorselector_color_get | ( | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Get current color from colorselector.

Parameters

  [out] | r | r-value of color
  [out] | g | g-value of color
  [out] | b | b-value of color
  [out] | a | a-value of color

Referenced by elm_colorselector_color_get().

## ◆ elm_obj_colorselector_color_set()

EOAPI void elm_obj_colorselector_color_set | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Set color to colorselector.

Parameters

  [in] | r | r-value of color
  [in] | g | g-value of color
  [in] | b | b-value of color
  [in] | a | a-value of color

Referenced by elm_colorselector_color_set().

## ◆ elm_obj_colorselector_mode_get()

EOAPI Elm_Colorselector_Mode elm_obj_colorselector_mode_get | ( | void |  | ) |

Get Colorselector's mode.

Returns
  Elm_Colorselector_Mode

Referenced by elm_colorselector_mode_get().

## ◆ elm_obj_colorselector_mode_set()

EOAPI void elm_obj_colorselector_mode_set | ( | Elm_Colorselector_Mode | mode | ) |

Set Colorselector's mode.

Colorselector supports three modes palette only, selector only and both.

Parameters

  [in] | mode | Elm_Colorselector_Mode

Referenced by elm_colorselector_mode_set().

## ◆ elm_obj_colorselector_palette_color_add()

EOAPI Elm_Widget_Item* elm_obj_colorselector_palette_color_add | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Add a new color item to palette.

Parameters

  [in] | g | g-value of color
  [in] | b | b-value of color
  [in] | a | a-value of color

Returns
  A new color palette Item.

Referenced by elm_colorselector_palette_color_add().

## ◆ elm_obj_colorselector_palette_items_get()

EOAPI const Eina_List* elm_obj_colorselector_palette_items_get | ( | void |  | ) |

Get list of palette items.

Note That palette item list is internally managed by colorselector widget and it should not be freed/modified by application.

Returns
  The list of color palette items.

Since
  1.9

Referenced by elm_colorselector_palette_items_get().

## ◆ elm_obj_colorselector_palette_name_get()

EOAPI const char* elm_obj_colorselector_palette_name_get | ( | void |  | ) |

Get current palette's name.

Returns the currently set palette name using which colors will be saved/loaded in to config.

Returns
  Name of palette

Referenced by elm_colorselector_palette_name_get().

## ◆ elm_obj_colorselector_palette_name_set()

EOAPI void elm_obj_colorselector_palette_name_set | ( | const char * | palette_name | ) |

Set current palette's name.

When colorpalette name is set, colors will be loaded from and saved to config using the set name. If no name is set then colors will be loaded from or saved to "default" config.

Parameters

  [in] | palette_name | Name of palette

Referenced by elm_colorselector_palette_name_set().

## ◆ elm_obj_colorselector_palette_selected_item_get()

EOAPI Elm_Widget_Item* elm_obj_colorselector_palette_selected_item_get | ( | void |  | ) |

Get the selected item in colorselector palette.

Returns
  The selected item, or `null` if none selected.

Since
  1.9

Referenced by elm_colorselector_palette_selected_item_get().